code
stringlengths
2
1.05M
repo_name
stringlengths
5
110
path
stringlengths
3
922
language
stringclasses
1 value
license
stringclasses
15 values
size
int64
2
1.05M
#!/bin/bash set -e REALPATH=$(python -c "import os; print(os.path.realpath('$0'))") BINDIR=$(dirname "$REALPATH") # Run data coordinator migrations # run_migrations.sh [config] [migrate/undo/redo] [numchanges] CONFIG="$BINDIR/../configs/application.conf" COMMANDS="migrate" if [[ $1 == migrate || $1 == undo || $1 == r...
socrata-platform/data-coordinator
bin/run_migrations.sh
Shell
apache-2.0
673
#! /bin/bash set -e JOBS=12 SERVICE=test_ipv6 . debug/run_test.sh $1 $2
nlitsme/IncludeOS
src/ipv6.sh
Shell
apache-2.0
73
#!/usr/bin/env bash # Copyright 2016 The TensorFlow Authors. All Rights Reserved. # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless...
adamtiger/tensorflow
tensorflow/contrib/makefile/compile_nsync.sh
Shell
apache-2.0
15,145
#!/usr/bin/env bash # # Builds and uploads sample apps to S3 on release build only. sudo apt-get update; sudo apt-get install s3cmd printf "[default]\naccess_key = $S3_ACCESS_KEY\n secret_key = $S3_SECRET_KEY" > ~/.s3cfg
mapzen/android
scripts/install-s3.sh
Shell
apache-2.0
221
#!/bin/bash # # Copyright 2018 Google LLC # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # https://www.apache.org/licenses/LICENSE-2.0 # # Unless required by applicable law or agreed to...
google/git-presubmit-linter
rules/line-length.sh
Shell
apache-2.0
990
#!/bin/sh wercker --environment wercker.env b
klauern/trackello
wercker-build.sh
Shell
apache-2.0
48
sudo mkdir /mnt/E63201 sudo chown vhuang /mnt/E63201
bayvictor/distributed-polling-system
bin/all_outsider.sh
Shell
apache-2.0
53
#!/bin/sh java -Djava.rmi.server.hostname=ROSSimulation -jar target/ROSRemote-0.0.1-SNAPSHOT-jar-with-dependencies.jar
d3scomp/ROSRemote
run_simulation_server.sh
Shell
apache-2.0
120
#!/bin/sh umask 022 yum --quiet --assumeyes install \ gcc \ gsl \ lapack \ ; rpm --quiet --install https://raw.githubusercontent.com/radiasoft/foss-mirror/master/elegant-26.0.2-1.rhel.6.5.openmpi.x86_64.rpm rpm --quiet --install https://raw.githubusercontent.com/radiasoft/foss-mirror/master/openmpi-1.8....
radiasoft/radtrack
install/elegant/install.sh
Shell
apache-2.0
335
#!/bin/bash # Author: yeho <lj2007331 AT gmail.com> # BLOG: https://blog.linuxeye.com # # Notes: OneinStack for CentOS/RadHat 5+ Debian 6+ and Ubuntu 12+ # # Project home page: # https://oneinstack.com # https://github.com/lj2007331/oneinstack Install_Tomcat6() { pushd ${asn_dir}/src . /etc/profile ...
asntechsolution/lamp-lemp
include/tomcat-6.sh
Shell
apache-2.0
6,040
#!/usr/bin/env bash curl -L http://ftp.iij.ad.jp/pub/linux/centos/6.5/isos/x86_64/CentOS-6.5-x86_64-minimal.iso -o ./centos-6.5-x86_64-minimal.iso curl -L http://ftp.iij.ad.jp/pub/linux/centos/6.5/isos/i386/CentOS-6.5-i386-minimal.iso -o centos-6.5-i386-minimal.iso
t9knowledge/pxe-server
share/image/download.sh
Shell
apache-2.0
267
#!/bin/bash # Copyright 2020 Google Inc. All Rights Reserved. # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless required by applic...
tombstone/models
research/delf/delf/python/training/install_delf.sh
Shell
apache-2.0
4,845
# Source common stuff source /vagrant/scripts/common.sh source /vagrant/install_config.txt sudo mkdir ${MY_HOME}/${PROJECT} cd ${MY_HOME}/${PROJECT} sudo tar -xzvf /vagrant/binaries/spark/spark* export_env_variable SPARK_HOME=${MY_HOME}/${PROJECT}/spark-0.9.0-incubating-bin-hadoop2 #echo "PATH=$PATH:${MY_HOME}/${PR...
jagatsingh/simple_hadoop
scripts/spark/spark_setup.sh
Shell
apache-2.0
555
#!/bin/bash set -x function generate_passwd_file() { export USER_ID=$(id -u) export GROUP_ID=$(id -g) grep -v ^postgres /etc/passwd > "$HOME/passwd" echo "postgres:x:${USER_ID}:${GROUP_ID}:PostgreSQL Server:${HOME}:/bin/bash" >> "$HOME/passwd" export LD_PRELOAD=libnss_wrapper.so export NSS_WRAPPER_PASSWD=...
chouseknecht/postgresql-container
files/entrypoint.sh
Shell
apache-2.0
615
#! /bin/bash src=vendor/k8s.io/kubernetes/staging/src/k8s.io/ dst=vendor/k8s.io/ packages="apimachinery client-go apiserver" for i in $packages; do rm -rf $dst$i cp -ar $src$i $dst done
kubeup/kube-aliyun
copy_k8s_vendor.sh
Shell
apache-2.0
192
#! /bin/bash MAX=10000 for((nr=1;nr<$MAX;nr++)) do let "t1=nr%5" if [ "$t1" -ne 3 ] then continue fi let "t2=nr%7" if [ "$t2" -ne 4 ] then continue fi let "t3=nr%9" if [ "$t3" -ne 5 ] then continue fi break done echo "Number = $nr" exit 0
thoughtcook/ABashExes
579.sh
Shell
bsd-2-clause
283
#!/bin/sh set -e cmake -DCMAKE_C_COMPILER=`which gcc` \ -DCMAKE_CXX_COMPILER=`which g++` \ -DCMAKE_C_FLAGS="-O0 -g -fprofile-arcs -ftest-coverage" \ -DCMAKE_EXE_LINKER_FLAGS="-lgcov" .. make -j4 make test lcov --directory . --capture --output-file cov.info mkdir cov-report genhtml -o ./cov-report/ c...
afiskon/c-algorithms
cov.sh
Shell
bsd-2-clause
364
#!/bin/bash bench_bin=~/libzbc/bench_fwu if [ $# -ne 5 ] then echo Usage: $0 [sample_num] [lba_count] [zone_num] [device] [log-prefix] echo sample_num: the number of random lbas to run exit -1 fi start_stamp=$(date +%s) sample_num=$1 #result_file="long_range.csv" run_log=${5}.log bw_log=bw_${5}.csv non...
fenggangwu/libzbc
bench_fwu/long_rand_finer2/zone_range4.sh
Shell
bsd-2-clause
1,051
#!/bin/sh pushd ~/Programming/familyhistoryservice nohup mvn process-classes exec:exec -Dexec.args="-classpath %classpath org.puyallupfamilyhistorycenter.service.FamilyHistoryCacheServlet" -Dexec.executable=java & popd
PuyallupStakeFamilyHistoryCenter/familyhistoryservice
src/main/resources/scripts/run-server.sh
Shell
bsd-2-clause
220
#!/bin/bash ##### -*- mode:shell-script; indent-tabs-mode:nil; sh-basic-offset:2 -*- ##### Original Author: Travis Cross <tc@traviscross.com> ##### Hacks for more generic use: Ken Rice <krice@freeswitch.org> set -e ddir="." [ -n "${0%/*}" ] && ddir="${0%/*}" cd $ddir/../ #### lib err () { echo "$0 error: $1" >&2 ...
lyx2014/libvpx_c
debian/util.sh
Shell
bsd-3-clause
12,571
#!/usr/bin/env bash (apidoc -i ./src/server/routes/ -o doc/)
zombiQWERTY/ppChat
bin/apidoc.sh
Shell
bsd-3-clause
62
ghcid '--command=stack ghci ArchPackageCompareStats:exe:webserver' --test='main'
chrissound/ArchPackageCompareStats
ghcid.sh
Shell
bsd-3-clause
81
# settings configs for osx stuff # don't do the obnoxious accent key on long-press thing defaults write -g ApplePressAndHoldEnabled -bool false
jacobian/dotfiles
osx.sh
Shell
bsd-3-clause
146
#!/bin/bash if [ "" = "${CHECK}" ] || [ "0" = "${CHECK}" ]; then if [ "" = "${CHECK_DNN_ITERS}" ]; then CHECK_DNN_ITERS=100; fi else # check if [ "" = "${CHECK_DNN_ITERS}" ]; then CHECK_DNN_ITERS=1; fi fi if [ $# -ne 7 ]; then if [ $# -ne 0 ]; then echo "Usage: $(basename $0) mb iters numa (1-mcdram/0-DDR) ...
egeor/libxsmm
samples/deeplearning/cnnlayer/run_vgga_4k.sh
Shell
bsd-3-clause
4,750
#!/bin/bash BASE_DIR=$(pwd) SRC_DIR=${BASE_DIR}/src #DIST_CLEAN= DIST_CLEAN="make distclean" #MAKE_CLEAN= MAKE_CLEAN="make clean" . ./__common-func.sh __emacs() { __wget http://ftp.jaist.ac.jp/pub/GNU/emacs/emacs-24.2.tar.xz __dcd emacs-24.2 $DIST_CLEAN __cfg --prefix=/usr \ --sysconfdir=/etc ...
takeutch-kemeco/private-build-script
emacs-24.2/all-build.sh
Shell
bsd-3-clause
1,266
# http://code.google.com/p/textmagic-sms-api-php/ svn checkout http://textmagic-sms-api-php.googlecode.com/svn/trunk/ api
vdbjimmy/textmagic-sms-roundcube-plugin
checkout-api.sh
Shell
bsd-3-clause
124
#!/bin/bash cabal configure -ftest cabal build ./dist/build/test/test $@
eugenkiss/loopgotowhile
runtests.sh
Shell
bsd-3-clause
73
#!/bin/bash source test-compilation.sh cat << EOF | test_compilation "42" def foo(a, b) = a + b foo(10, 10) + foo(11, 11) EOF
wookietreiber/lila
test/lilac-def.sh
Shell
bsd-3-clause
128
#!/bin/bash BASE_DIR=/mnt/clfs/sources/going-to-chroot SRC_DIR=/mnt/clfs/sources/src . $SRC_DIR/__common-func.sh __init-env() { export CLFS="/mnt/clfs" export LC_ALL="POSIX" export BUILD64="-m64" export PATH="/cross-tools/bin:/bin:/usr/bin" export CLFS_HOST=$(echo ${MACHTYPE} | sed -e 's/-[^-]*/-cross/') expor...
takeutch-kemeco/private-build-script
clfs-git-20121124-x86_64-pure64/going-to-chroot/build-going-to-chroot1.sh
Shell
bsd-3-clause
1,532
#!/usr/bin/env bash cat <(echo 'malgo/package.yaml') <(echo 'koriel/package.yaml') <(find koriel/src -name \*.hs) <(find malgo/src -name \*.hs) <(find malgo/app -name \*.hs) | entr sh -c 'hpack koriel; hpack malgo; cabal build all; hlint koriel; hlint malgo; echo DONE'
takoeight0821/malgo
scripts/watch_and_build.sh
Shell
bsd-3-clause
271
#!/bin/bash -e # This script is used by .deploy.yaml # This only works with PROJECT_ID defined if [ -z "$PROJECT_ID" ]; then echo 'PROJECT_ID must be specified'; exit 1; fi if [ "$PROJECT_ID" = 'dartlang-pub' ]; then # Use TAG_NAME as appengine version if [ -z "$TAG_NAME" ]; then echo 'TAG_NAME must be s...
dart-lang/pub-dev
tool/.deploy.sh
Shell
bsd-3-clause
2,635
#!/bin/bash # This script is meant to be called by the "script" step defined in # .travis.yml. See http://docs.travis-ci.com/ for more details. # The behavior of the script is controlled by environment variabled defined # in the .travis.yml in the top level folder of the project. # License: 3-clause BSD set -e pytho...
rasbt/pyprind
ci/.travis_test.sh
Shell
bsd-3-clause
419
#!/bin/sh # $FreeBSD$ . $(dirname $0)/conf.sh base=`basename $0` sectors=100 keyfile=`mktemp $base.XXXXXX` || exit 1 mdconfig -a -t malloc -s `expr $sectors + 1` -u $no || exit 1 echo "1..1" dd if=/dev/random of=${keyfile} bs=512 count=16 >/dev/null 2>&1 geli init -B none -i 64 -P -K ${keyfile} md${no} 2>/dev/null...
TigerBSD/TigerBSD
FreeBSD/tests/sys/geom/class/eli/init_i_P_test.sh
Shell
isc
397
version() { declare desc="Show version" echo "plugn: ${PLUGN_VERSION:-dev}" } install() { declare desc="Install a new plugin from a Git URL" declare url="$1" name="$2" local basefilename downloader args contents cwd basefilename="$(basename "$url")" pushd "$PLUGIN_PATH/available" &>/dev/null if [[ "$basefilen...
dokku/plugn
bashenv/plugn.bash
Shell
mit
4,605
#!/bin/bash # This should only be run on develop branch. Builds and releases to pypi. # Also updates version numbers, creates a release tag, then pushes the new develop and release branches to github. # Exit if any command fails set -e # Show commands executing set -x # Error if running on a branch other than devel...
ianstalk/Flexget
release.sh
Shell
mit
1,530
#!/bin/bash set -e # Install linuxbrew # Prerequisites: - ruby # - curl name="linuxbrew" # download and install ruby -e "$(curl -fsSL https://raw.githubusercontent.com/Homebrew/linuxbrew/go/install)" # edit .bashrc echo 'export PATH=$HOME/.linuxbrew/bin:$PATH' >> $HOME/.bashrc echo 'export MANPATH...
djhshih/patefiant
pkg/brew/install.sh
Shell
mit
454
#!/bin/bash FN="MeSH.Oni.eg.db_1.12.0.tar.gz" URLS=( "https://bioconductor.org/packages/3.9/data/annotation/src/contrib/MeSH.Oni.eg.db_1.12.0.tar.gz" "https://bioarchive.galaxyproject.org/MeSH.Oni.eg.db_1.12.0.tar.gz" "https://depot.galaxyproject.org/software/bioconductor-mesh.oni.eg.db/bioconductor-mesh.oni.eg.d...
jfallmann/bioconda-recipes
recipes/bioconductor-mesh.oni.eg.db/post-link.sh
Shell
mit
1,444
#!/bin/sh if [ ! $CI ]; then export PATH=$PATH:/opt/homebrew/bin clang-format -i -style=file `find ../audio ../audio_sample_ios ../audio_sample_mac ../audio_tests -type f \( -name *.h -o -name *.cpp -o -name *.hpp -o -name *.m -o -name *.mm \)` fi
objective-audio/audio_engine
script/format.sh
Shell
mit
253
#!/bin/bash FN="shinyMethylData_1.4.0.tar.gz" URLS=( "https://bioconductor.org/packages/3.9/data/experiment/src/contrib/shinyMethylData_1.4.0.tar.gz" "https://bioarchive.galaxyproject.org/shinyMethylData_1.4.0.tar.gz" "https://depot.galaxyproject.org/software/bioconductor-shinymethyldata/bioconductor-shinymethyld...
jfallmann/bioconda-recipes
recipes/bioconductor-shinymethyldata/post-link.sh
Shell
mit
1,446
#!/bin/bash -f source /home/savitb/bin/functions USER=$(whoami) SLICE="$USER"-slice PRIVATE_NETWORK="$USER"-net green_desc_title " Assigning a ($PRIVATE_NETWORK) to ($SLICE) for ($USER)" command_desc "quantum net-list" NET_ID_PRIVATE=`quantum net-list -c id -c name | grep $PRIVATE_NETWORK | awk '{print $2}'` echo "NET...
savi-dev/savi-scripts
savi-assign-network.sh
Shell
mit
505
#!/bin/bash FN="cgdv17_0.22.0.tar.gz" URLS=( "https://bioconductor.org/packages/3.9/data/experiment/src/contrib/cgdv17_0.22.0.tar.gz" "https://bioarchive.galaxyproject.org/cgdv17_0.22.0.tar.gz" "https://depot.galaxyproject.org/software/bioconductor-cgdv17/bioconductor-cgdv17_0.22.0_src_all.tar.gz" "https://depo...
jerowe/bioconda-recipes
recipes/bioconductor-cgdv17/post-link.sh
Shell
mit
1,388
#!/bin/bash cp arch/arm/configs/cyanogenmod_m7_defconfig .config; echo "done ...";
jthatch12/STi2_M7
load_config.sh
Shell
gpl-2.0
85
#!/bin/sh # # Copyright (c) 2007 Johannes E. Schindelin # test_description='git rebase interactive This test runs git rebase "interactively", by faking an edit, and verifies that the result still makes sense. Initial setup: one - two - three - four (conflict-branch) / A - B - C - D - E (primary)...
tacker66/git
t/t3404-rebase-interactive.sh
Shell
gpl-2.0
52,945
#! /bin/sh -e # tup - A file-based build system # # Copyright (C) 2014-2017 Mike Shal <marfey@gmail.com> # # This program is free software; you can redistribute it and/or modify # it under the terms of the GNU General Public License version 2 as # published by the Free Software Foundation. # # This program is distribu...
anatol/tup
test/t2190-generate-shell-script-config.sh
Shell
gpl-2.0
1,625
#!/usr/bin/env bash # # source `dirname $0`/common.sh TEST_CASE="ATOS flag_values exploration" cat > build.sh <<EOF gcc -c $SRCDIR/examples/sha1-c/sha.c -o sha.o gcc -c $SRCDIR/examples/sha1-c/sha1.c -o sha1.o gcc -o sha1-c sha.o sha1.o EOF $ROOT/bin/atos-init \ -r "$SRCDIR/examples/sha1-c/run.sh" \ -b "sh ...
knochelh/atos-utils
tests/test085.sh
Shell
gpl-2.0
3,346
#!/bin/bash # needs cmake installed from MacPorts # this will have fail during link but that's ok make -f Makefile.osx projectm # now build ProjectM.vis from the object files make -f Makefile.osx
xbmc/xbmc-antiquated
xbmc/visualizations/XBMCProjectM/make-osx.sh
Shell
gpl-2.0
198
#! /bin/sh -e # tup - A file-based build system # # Copyright (C) 2008-2017 Mike Shal <marfey@gmail.com> # # This program is free software; you can redistribute it and/or modify # it under the terms of the GNU General Public License version 2 as # published by the Free Software Foundation. # # This program is distribu...
fasterthanlime/tup-fuseless
test/t8000-keep-going.sh
Shell
gpl-2.0
1,317
#! /bin/sh ################################################################################ ## ## ## Copyright (c) 2012 FUJITSU LIMITED ## ## ...
richiejp/ltp
testcases/kernel/controllers/memcg/functional/memcg_lib.sh
Shell
gpl-2.0
12,223
#Installation #------------ # If you don't have internet access on the node of the virtual wall sudo route del default gw 10.2.47.254 && sudo route add default gw 10.2.47.253 sudo route add -net 10.11.0.0 netmask 255.255.0.0 gw 10.2.47.254 sudo route add -net 10.2.0.0 netmask 255.255.240.0 gw 10.2.47.254 # Installat...
asljivo1/802.11ah-ns3
setup/installscript.sh
Shell
gpl-2.0
1,457
#!/bin/bash ## this is the nightly restart script. ## it should be used by cron, just makes sure we're in the correct path ## and env vars are set before restarting ## cron example (pick different times for each server) ## ## this does a staggerd restart of the server each night ## 15 1 * * * /home/ec2-user/fc/util/n...
sleeplessinc/FinalsClub
util/nightly-restart.sh
Shell
gpl-3.0
569
#!/bin/bash # dparam - default params creation, listing, retrieving :<<COPYRIGHT Copyright (C) 2011, 2013, 2017 Frank Scheiner, HLRS, Universitaet Stuttgart Copyright (C) 2011, 2012, 2013 Frank Scheiner The program is distributed under the terms of the GNU General Public License This program is free software: ...
fscheiner/gtransfer
bin/defaultparam.bash
Shell
gpl-3.0
19,612
#!/bin/bash #PBS -k o #PBS -l nodes=2:ppn=8,vmem=100gb,walltime=5:00:00 #PBS -M lennonj@indiana.edu #PBS -m abe #PBS -j oe module load python/2.7.3 module load biopython/1.63 module load fasttree/2.1.1 cd /N/dc2/projects/Lennon_Sequences/2017BrassicaRpf python name_change.py "Brassica.bac.final.0.03.rep.fasta" "Bras...
LennonLab/BrassicaRpf
phylo/Brassica.ML.1.sh
Shell
gpl-3.0
463
#!/bin/bash # Prepare to run qa-jenkins-onmetal ansible playbooks (On top of Jenkins Agent) # See also qa-jenkins-onmetal/jenkins/jenkins_agent_cloudinit_dependencies # Requires rackspace RPC credentials # Expected positional parameters # {1} - raxusername # {2} - rax api key if [ ! -f ~/.ssh/id_rsa ]; then ssh...
osic/qa-jenkins-onmetal
jenkins/set_jenkins_agent.sh
Shell
gpl-3.0
752
#!/bin/sh # # Downloads sequence for the GRCh38 release 84 version of H. sapiens (human) from # Ensembl. # # Note that Ensembl's GRCh38 build has three categories of compressed fasta # files: # # The base files, named ??.fa.gz # # By default, this script builds and index for just the base files, # since alignments to ...
infphilo/hisat2
scripts/make_grch38_snp.sh
Shell
gpl-3.0
2,449
#!/bin/bash echo "running example: `date`" currentdir=`pwd` # sets up directory structure in current example directory echo echo " setting up example..." echo # cleans output files mkdir -p OUTPUT_FILES rm -rf OUTPUT_FILES/* # links executables mkdir -p bin cd bin/ rm -f * ln -s ../../../../bin/xmeshfem3D ln -s ....
geodynamics/specfem3d
EXAMPLES/meshfem3D_examples/socal1D/run_this_example.sh
Shell
gpl-3.0
2,235
#! /bin/bash # This Source Code Form is subject to the terms of the Mozilla Public # License, v. 2.0. If a copy of the MPL was not distributed with this # file, You can obtain one at http://mozilla.org/MPL/2.0/. COOKBOOKS_URL=$THE_COOKBOOKS_URL function install_chef_solo() { if which chef-solo >/dev/null; then ech...
choreos/enactment_engine
EnactmentEngine/src/main/resources/chef-solo/bootstrap.sh
Shell
mpl-2.0
2,047
#!/bin/bash if [ -z $1 ] then echo "No argument..." exit -1 fi g++ -o $1.cpp.simple.elf $1.cpp if [ $? -eq 0 ] then ./$1.cpp.simple.elf fi
cxsjabc/basic
cpp/spmr.sh
Shell
agpl-3.0
144
#!/bin/sh AUROCHS=${AUROCHS:-aurochs} echo "Running tests" generate=0 outdir=/tmp/test$$ while [ $# -gt 0 ]; do case $1 in -generate) generate=1 echo "Will regenerate" ;; -outdir) outdir=$2; echo "Will output to $outdir"; shift; ;; *) echo "Unknown opt...
berke/aurochs
tests/run.sh
Shell
lgpl-3.0
1,546
#!/usr/bin/env bash check_param() { local name=$1 local value=$(eval echo '$'$name) if [ "$value" == 'replace-me' ]; then echo "environment variable $name must be set" exit 1 fi } declare -a on_exit_items on_exit_items=() function on_exit { echo "Running ${#on_exit_items[@]} on_exit items..." for ...
maximilien/bosh-softlayer-stemcells
ci/tasks/utils.sh
Shell
apache-2.0
862
#!/bin/bash # Copyright (c) Los Alamos National Security, LLC, and others. set -e $(dirname $0)/../ready.sh true
casmlab/quac
tests/standalone/ready.sh
Shell
apache-2.0
116
#!/bin/bash set -eo pipefail cd "$(dirname "$(readlink -f "$BASH_SOURCE")")" versions=( "$@" ) if [ ${#versions[@]} -eq 0 ]; then versions=( */ ) fi versions=( "${versions[@]%/}" ) travisEnv= for version in "${versions[@]}"; do dist="${version//./}" packagesUrl="http://www.apache.org/dist/cassandra/debian/dists/...
pascalgrimaud/cassandra
update.sh
Shell
apache-2.0
929
#!/bin/bash -e # Get this bash script's directory location SOURCE="${BASH_SOURCE[0]}" ...
spivachuk/sovrin-node
environment/vagrant/sandbox/DevelopmentEnvironment/common/getIndypoolGenesisFiles.sh
Shell
apache-2.0
2,699
#!/usr/bin/env bash # # Run this script on a compute node to cleanup/remove any orphaned KVM VMs that were left behind by something. # Run with --noop to do a dry run and not actually delete anything # # To populate the UUIDS value below, run the following command on a Nova api server to get list of VM UUIDs that are k...
matthewfischer/tools-generic
libvirt/cleanup-orphaned-vms.sh
Shell
apache-2.0
1,255
#!/usr/bin/env bash # Compute similarities and write as h5 files nrrows=10000000 for x in $(ls *.fp) do for y in $(ls *.fp) do if [ "$x" = "$y" ] then srun -J $x$y -n 1 /bin/sh -c "fpneigh -m Mod_Tanimoto=0.01 -d 0.45 -q $x $y | kripodb similarities import --nrrows $nrrows --ignore_upper_triangle - fragments.sqlite si...
3D-e-Chem/python-modified-tanimoto
update_scripts/baseline_similarities.sh
Shell
apache-2.0
618
#!/bin/bash # Copyright (c) 2020 PaddlePaddle Authors. All Rights Reserved. # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless r...
luotao1/Paddle
paddle/scripts/musl_build/build_paddle.sh
Shell
apache-2.0
3,807
#!/bin/bash ##===-------------------------------------------------------------------------------*- bash -*-===## ## ## S E R I A L B O X ## ## This file is distributed under terms of BSD license. ## See LICENSE.txt for more information. ## ##===----------------------------------------...
thfabian/serialbox2
examples/fortran/perturbation_netcdf/run.sh
Shell
bsd-2-clause
760
#!/bin/bash export DATA_DIR="$SP_DIR/matplotlib/mpl-data/sample_data" mkdir -p $DATA_DIR cp -r $SRC_DIR/lib/matplotlib/mpl-data/sample_data/* $DATA_DIR
NSLS-II/auto-build-tagged-recipes
archive/matplotlib/install-data.sh
Shell
bsd-3-clause
155
#!/bin/sh tar -xvf qn24b-version1.0.tgz cd version1.0/omp/ make -j $NUM_CPU_JOBS echo $? > ~/install-exit-status cd ../../ echo "#!/bin/sh cd version1.0/omp/ OMP_NUM_THREADS=\$NUM_CPU_CORES ./qn24b_openmp \$@ > \$LOG_FILE 2>&1 echo $? > ~/test-exit-status" > n-queens chmod +x n-queens
mugglmenzel/BalloonRace
src/main/resources/test-profiles/pts/n-queens-1.0.0/install.sh
Shell
bsd-3-clause
288
#!/bin/bash #FUNCTION DECLARATION ############################################################################### if [ "-bash" = $0 ]; then BASEDIR="$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)" else BASEDIR="$(cd "$(dirname "$0")" && pwd)" fi BASEDIR=$(dirname $(dirname $BASEDIR)) ...
FlyingOE/TorQ
monit/bin/monit.sh
Shell
mit
6,647
read x read y a=`expr $x + $y` echo "$a" if [ $x -gt $y ] then b=`expr $x - $y` elif [ $x -lt $y ] then b=`expr $x - $y` else echo "0" fi echo "$b" c=`expr $x \* $y` echo "$c" d=`expr $x / $y` echo "$d"
jaswal72/hacker-rank
Linux Shell/Bash/The World of Numbers.sh
Shell
mit
207
#!/bin/bash rm -f editor.jar rm org/dojo/moxie/*.class javac -cp .:lib/derby.jar:lib/servlet-api-2.5-6.1.3.jar:lib/jetty-6.1.3.jar:lib/jetty-util-6.1.3.jar:lib/json-lib-1.0b2-jdk13.jar:lib/commons-beanutils.jar:lib/ezmorph-1.0.jar:lib/commons-lang-2.2.jar org/dojo/moxie/*.java jar -cmvf manifest editor.jar org/dojo/mo...
adamfisk/littleshoot-client
server/static/build/src/main/webapp/dojo/demos/offline/editor/server/build.sh
Shell
gpl-2.0
411
#!/bin/bash build_compile() { ./configure $PHY_XORG_CONFIG make } build_test_level=4 build_test() { make check } build_pack() { make DESTDIR=$BUILD_PACK install }
phyglos/phyglos
bundles/x11-core.dir/xcb-proto-1.11.sh
Shell
gpl-2.0
185
#!/bin/bash set -x go get github.com/Sirupsen/logrus GOOS=linux GOARCH=386 go build -o ssh-plugin-linux-386 . GOOS=linux GOARCH=amd64 go build -o ssh-plugin-linux-amd64 . GOOS=windows GOARCH=386 go build -o ssh-plugin-win32.exe . GOOS=windows GOARCH=amd64 go build -o ssh-plugin-win64.exe . go build -o ssh-plugin-dar...
jeaniejung/diego-ssh
cf-plugin/scripts/build-plugins.sh
Shell
apache-2.0
357
#! bash MODULES=( [0]='tapi-common' [1]='tapi-common tapi-notification' [2]='tapi-common tapi-notification tapi-topology' [3]='tapi-common tapi-notification tapi-topology tapi-equipment' [4]='tapi-common tapi-notification tapi-topology tapi-virtual-network' [5]='tapi-common tapi-notification tapi-topology tapi-path-com...
OpenNetworkingFoundation/ONFOpenTransport
yang2oas.sh
Shell
apache-2.0
1,579
#!/bin/sh runtest() { export GEMFIRE_BUILD=$1 export GEMFIRE=$GEMFIRE_BUILD/product export LD_LIBRARY_PATH=$GEMFIRE/../hidden/lib:$GEMFIRE/lib export JTESTS=$GEMFIRE/../tests/classes export CLASSPATH=$GEMFIRE/lib/gemfire.jar:$JTESTS #export JAVA_HOME=/export/gcm/where/java/jrockit/1.6.0_17/x86.linux expo...
SnappyDataInc/snappy-store
tests/core/src/main/java/cacheperf/poc/useCase3_2/run.sh
Shell
apache-2.0
1,011
#!/bin/sh source $(dirname $0)/unix-func.sh findpids $1 for pid in $PIDS; do killtree $pid TERM; done;
mcimbora/radargun
plugins/process/src/main/resources/unix-stop.sh
Shell
apache-2.0
105
#!/bin/bash set -e set -x sudo pip install --upgrade setuptools sudo apt-get install -y software-properties-common sudo apt-add-repository -y ppa:ansible/ansible sudo apt-get update sudo apt-get install -y python-dev libffi-dev libssl-dev sudo pip install markupsafe sudo pip install ansible==2.3.0.0 sudo pip install d...
devbv/incubator-openwhisk
tools/ubuntu-setup/ansible.sh
Shell
apache-2.0
476
#!/bin/bash for f in */script.tcl do vitis_hls -f $f done
Xilinx/PYNQ
boards/ip/hls/build_ip.sh
Shell
bsd-3-clause
61
#!/bin/bash -e VERSION="2.1.7" cd $(mktemp -dt phantomjs-setup-XXX) npm install phantomjs-prebuilt@${VERSION} export PATH=$(pwd)/node_modules/phantomjs-prebuilt/bin:$PATH echo "phantomjs $(phantomjs --version) installed in $(which phantomjs)" cd -
vogdb/cm
tests/travis/install-phantomjs.sh
Shell
mit
250
#!/bin/bash set -ex git pull rake db:migrate rake db:data:load_dir dir="datadump"
paul1113/tiaoshievent
script/testing_upgrade_server.sh
Shell
mit
84
#!/sbin/sh echo \#!/sbin/sh > /tmp/createnewboot.sh echo /tmp/mkbootimg --kernel /tmp/kernel --ramdisk /tmp/boot.img-ramdisk.gz --cmdline \"$(cat /tmp/boot.img-cmdline)\" --base 0x$(cat /tmp/boot.img-base) --pagesize 2048 --ramdiskaddr 0x82008000 --output /tmp/newboot.img >> /tmp/createnewboot.sh chmod 777 /tmp/create...
TheEdge-/Leaping_Lemur_kernel
packages/kernel/mkbootimg.sh
Shell
gpl-2.0
363
#!/bin/sh BASE_DIR=`pwd` cd ${BASE_DIR} #Read parameter settings SET_ENV=${BASE_DIR}/config.sh if [ ! -f ${SET_ENV} ]; then echo "${SET_ENV}: No such file" exit 1 fi . ${SET_ENV} echo "==== START :install Niftyimage files ====" echo "==== START :install Niftyimage files ====" >> $LOG_FILE 2>&1 NIFTYDIR=/opt/a...
yterauchi/primecloud-controller
auto-tool/install-tool/src/main/scripts/createNiftyFiles.sh
Shell
gpl-2.0
2,373
#! /bin/sh -e # tup - A file-based build system # # Copyright (C) 2009-2015 Mike Shal <marfey@gmail.com> # # This program is free software; you can redistribute it and/or modify # it under the terms of the GNU General Public License version 2 as # published by the Free Software Foundation. # # This program is distribu...
p2rkw/tup
test/t2027-include-var-tupfile.sh
Shell
gpl-2.0
1,323
#!/bin/sh TEST_PURPOSE=regress TEST_PROB_REPORT=0 TEST_TYPE=umlplutotest TESTNAME=ikev2-algo-03-aes-ccm EASTHOST=east WESTHOST=west WEST_ARPREPLY=1 EAST_INPUT=../../klips/inputs/01-sunrise-sunset-ping.pcap REF_WEST_OUTPUT=../../klips/west-icmp-01/spi1-cleartext.txt REF_WEST_FILTER=../../klips/fixups/no-arp-pcap2.pl...
y-trudeau/openswan-patch-meraki
testing/pluto/ikev2-algo-03-aes-ccm/testparams.sh
Shell
gpl-2.0
1,280
#!/bin/bash # # mst-one.sh <lang> <filename> <cogserver-host> <cogserver-port> # # Support script for batch parsing of wikipedia articles. # Sentence-split one file, submit it, via perl script, to the parser. # When done, move the file over to a 'finished' directory. # # Example usage: # ./mst-one.sh en Barbara loca...
misgeatgit/opencog
opencog/nlp/learn/run/mst-one.sh
Shell
agpl-3.0
1,831
test_number=03 description="user-specified field" expected=$test_dir/test_$test_number.expected output=$test_dir/test_$test_number.out cat > $expected << "END_EXPECT" Field-0 Field-1 Date hello world 2008-10-11-16:32:08 hello world 2008-10-11-16:32:08 END_EXPECT $bin -f 3 > $output << "END_TEST" Field-0 Field-1 Date...
google/crush-tools
src/convdate/test/test_03.sh
Shell
apache-2.0
586
#!/bin/sh set -o xtrace # Write all commands first to stderr set -o errexit # Exit the script with error if any of the commands fail DIR=$(dirname $0) OS=$(uname -s | tr '[:upper:]' '[:lower:]') BUILDTOOL=${BUILDTOOL:-autotools} case "$OS" in cygwin*) sh $DIR/compile-windows.sh ;; *) # If c...
derickr/mongo-php-driver-prototype
.evergreen/compile.sh
Shell
apache-2.0
680
#!/bin/bash # Licensed to the Apache Software Foundation (ASF) under one # or more contributor license agreements. See the NOTICE file # distributed with this work for additional information # regarding copyright ownership. The ASF licenses this file # to you under the Apache License, Version 2.0 (the # "License"); y...
DaanHoogland/cloudstack
scripts/network/domr/router_proxy.sh
Shell
apache-2.0
1,216
#!/bin/bash FN="ath1121501probe_2.18.0.tar.gz" URLS=( "https://bioconductor.org/packages/3.13/data/annotation/src/contrib/ath1121501probe_2.18.0.tar.gz" "https://bioarchive.galaxyproject.org/ath1121501probe_2.18.0.tar.gz" "https://depot.galaxyproject.org/software/bioconductor-ath1121501probe/bioconductor-ath11215...
phac-nml/bioconda-recipes
recipes/bioconductor-ath1121501probe/post-link.sh
Shell
mit
1,452
#!/bin/sh #PBS -l nodes=4:ppn=2 #PBS -l walltime=50:00 #PBS -j oe #PBS numprocs=8 inp=p0.25M maxD=29 solveU=1 writeB=0 dim=3 maxNum=1 incCor=1 compressLut=0 mgLoadFac=1.5 prefixPath=/opt/openmpi/1.2.4 cd ${DENDRO_DIR} mpirun -prefix $prefixPath -nooversubscribe -np ${numprocs} ./elasticitySolver ${inp} ${maxD} ${so...
hsundar/dendro
jobScripts/testElasticity.pbs.sh
Shell
gpl-2.0
461
#! /bin/sh # Copyright (C) 2001-2015 Free Software Foundation, Inc. # # This program is free software; you can redistribute it and/or modify # it under the terms of the GNU General Public License as published by # the Free Software Foundation; either version 2, or (at your option) # any later version. # # This program ...
hika-server/automake
t/pr220.sh
Shell
gpl-2.0
1,618
#! /bin/sh # Copyright (C) 1998-2015 Free Software Foundation, Inc. # # This program is free software; you can redistribute it and/or modify # it under the terms of the GNU General Public License as published by # the Free Software Foundation; either version 2, or (at your option) # any later version. # # This program ...
hika-server/automake
t/link_fccxx.sh
Shell
gpl-2.0
1,336
#!/bin/sh WFROG_HOME=../../ version=$(grep wfrog_version $WFROG_HOME/wfcommon/config.py | cut -f2 -d'"') date=$(date +%F) footer="<br><hr><small><a href='http://www.wfrog.org'>wfrog</a> $version - $date</small>" DOC_DIR=doc mkdir -p $DOC_DIR function gen_module() { module=$1 echo "--- $module ---" ...
gmassei/wfrog
wfcommon/gendoc/gendoc.sh
Shell
gpl-3.0
1,321
#!/bin/bash # Copyright 2014 The Kubernetes Authors All rights reserved. # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless require...
BugRoger/kubernetes
cluster/vagrant/provision-master.sh
Shell
apache-2.0
4,594
#!/bin/bash # See HACKING.md for usage set -o errexit set -o nounset set -o pipefail OS_ROOT=$(dirname "${BASH_SOURCE}")/.. source "${OS_ROOT}/hack/common.sh" source "${OS_ROOT}/hack/util.sh" os::log::install_errexit # Go to the top of the tree. cd "${OS_ROOT}" repo="${UPSTREAM_REPO:-k8s.io/kubernetes}" package="$...
yepengxj/df_st_origin
hack/cherry-pick.sh
Shell
apache-2.0
2,696
#!/usr/bin/env bash # # The Alluxio Open Foundation licenses this work under the Apache License, version 2.0 # (the "License"). You may not use this work except in compliance with the License, which is # available at www.apache.org/licenses/LICENSE-2.0 # # This software is distributed on an "AS IS" basis, WITHOUT WARRA...
Alluxio/alluxio
dev/jenkins/build.sh
Shell
apache-2.0
3,812
#!/bin/bash FN="TxDb.Athaliana.BioMart.plantsmart28_3.2.2.tar.gz" URLS=( "https://bioconductor.org/packages/3.14/data/annotation/src/contrib/TxDb.Athaliana.BioMart.plantsmart28_3.2.2.tar.gz" "https://bioarchive.galaxyproject.org/TxDb.Athaliana.BioMart.plantsmart28_3.2.2.tar.gz" "https://depot.galaxyproject.org/so...
cokelaer/bioconda-recipes
recipes/bioconductor-txdb.athaliana.biomart.plantsmart28/post-link.sh
Shell
mit
1,423
#! /bin/sh # # This Source Code Form is subject to the terms of the Mozilla Public # License, v. 2.0. If a copy of the MPL was not distributed with this # file, You can obtain one at http://mozilla.org/MPL/2.0/. ######################################################################## # # mozilla/security/nss/tests/s...
thespooler/nss
tests/smime/smime.sh
Shell
mpl-2.0
10,481
#!/bin/bash vagrant up seed1 node1
igoraj/puppet-cassandra
tests/05_up.sh
Shell
apache-2.0
35
#!/bin/bash set -ex source $(dirname $0)/provision-config.sh OPENSHIFT_SDN=$4 NETWORK_CONF_PATH=/etc/sysconfig/network-scripts/ sed -i 's/^NM_CONTROLLED=no/#NM_CONTROLLED=no/' ${NETWORK_CONF_PATH}ifcfg-eth1 systemctl restart network # Setup hosts file to support ping by hostname to each minion in the cluster from ...
markllama/atomic-enterprise
vagrant/provision-master.sh
Shell
apache-2.0
3,441